

#pragma once

#include <iostream>
#include <cstring>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"

#include "Menu.h"

class FightMap
{

public:
	
	void Init(int choice,int citynumber);
	
	int KeyDown(WPARAM KeyCode);
	void Show(int g);
	void ShowStart(int g,int warstyle);
	void ShowMove(int x,int y);
	void LoadFromBMP();
	void LoadFromBMPStart();
	void ShowArrow();
	void GetStartPosition(int g,int warstyle);
	int GetMyPosition(int warstyle);

	int InitMapStyle();

//private:
		 int day;
		 int foods;
		 int weather;

		 int startx;//地图左上角x位置
		 int starty;//地图左上角y位置
		 int arrowx;
		 int arrowy;
		 int tile[MAPMAX][MAPMAX];
		 int tilestyle[MAPMAX][MAPMAX];
		 int myposition;
		 int enemyposition;
		 int citymapnum[CITYMAX];
		 int t_cityx[MAPSUM];
		 int t_cityy[MAPSUM];
		 int t_centerx[DIRCTIONMAX];
		 int t_centery[DIRCTIONMAX];

		 Menu fightmenu;

		int citynumber;
		int citynumfrom;

};
